C+
C NAME:
C	ArrI2SetMinMax
C PURPOSE:
C	Limit range of integer*2 array between min and max
C CALLING SEQUENCE:
	subroutine ArrI2SetMinMax(N,A,AAMin,AAMax)
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer*2	A(*)
	    integer*2	AMin
	    integer*2	AMax
	    integer	AAMin
	    integer	AAMax

	AMin = AAMin
	AMax = AAMax

	do I=1,N
	    A(I) = max(AMin,min(AMax,A(I)))
	end do

	return
	end
